import math

class Circle():
  def __init__(self, radius):
    if radius <= 0:
      raise ValueError('Radius must be greater than zero')
    self.radius = radius

  def set_radius(self, radius):
    if radius <= 0:
      raise ValueError('Radius must be greater than zero')
    self.radius = radius

  def get_perimeter(self):
    return 2 * math.pi * self.radius

  def get_area(self):
    return math.pi * (self.radius ** 2)

  def __mul__(self, n):
    if n <= 0:
        raise ValueError("Multiplier 'n' must be greater than zero")
    return Circle(self.radius * n)

  def __str__(self):
    txt = 'Circle of radius {0}, perimeter {1} and surface {2}.'
    return txt.format(str(self.radius), str(round(self.get_perimeter(),2)), str(round(self.get_area(),2)))